API For Sub-Accounts

List sub accounts

get

Returns a list of sub accounts.

Authorizations
api-keystringRequired
Query parameters
limitintegerOptional

Maximum number of items returned. Default: 30.

pageintegerOptional

Page number of the requested data. Default: 1.

sort_bystringOptional

Field used for sorting: id, username, created_at, number_of_ips. Default: id.

order_bystringOptional

Sorting order: desc or asc. Default: desc.

usernamestringOptional

Filter by sub account username.

statusintegerOptional

Filter by sub account status: 1 = enabled, 2 = disabled.

keywordstringOptional

Search sub accounts by keyword.

Responses
chevron-right
200

Successful response.

application/json

Returns the list of sub accounts for the user.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

get
/client/v1/subs/get-list

Create a sub account

post

Creates a new sub account.

Authorizations
api-keystringRequired
Body
number_of_ipsintegerOptional

Number of IPs allocated to the sub account.

Example: 10
auto_add_ipsintegerOptional

Enable or disable automatic IP allocation from the main account. 0 = disabled, 1 = enabled.

auto_add_when_number_ipsintegerOptional

Threshold for automatically adding IPs. When the sub account IP balance drops below this value, the main account will add IPs automatically.

Example: 50
number_ips_auto_addintegerOptional

Number of IPs to automatically add when auto-add is triggered.

Example: 100
auto_disable_atintegerOptional

Timestamp when the sub account will be automatically disabled.

amount_trafficintegerOptional

Traffic amount allocated to the sub account (in bytes).

Example: 1000000000
traffic_plan_idintegerOptional

ID of the traffic plan used for allocation.

Example: 10
auto_add_trafficintegerOptional

Enable or disable automatic traffic allocation. 0 = disabled, 1 = enabled.

auto_add_when_traffic_bellowintegerOptional

Threshold for automatically adding traffic. When the sub account traffic balance drops below this value, the main account will add traffic automatically.

Example: 1000000000
amount_traffic_auto_addintegerOptional

Amount of traffic to automatically add when auto-add is triggered (in bytes).

Example: 1000000000
traffic_plan_use_auto_addintegerOptional

ID of the traffic plan used when automatically adding traffic to the sub account.

Example: 11
passwordstringRequired

Password for the sub account.

Example: sub_password
notestringOptional

Note for the sub account.

Example: Note for sub
Responses
chevron-right
200

Successful response.

application/json

Returns the newly created sub account.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

post
/client/v1/subs/create

Update a sub account

put

Updates an existing sub account.

Authorizations
api-keystringRequired
Body
sub_idintegerRequired

ID of the sub account.

Example: 27535
passwordstringOptional

New password for the sub account.

Example: sub_password
notestringOptional

Note for the sub account.

Example: Note for sub
auto_add_ipsintegerOptional

Enable or disable automatic IP allocation from the main account. 0 = disabled, 1 = enabled.

auto_add_when_number_ipsintegerOptional

Threshold for automatically adding IPs. When the sub account IP balance drops below this value, the main account will add IPs automatically.

Example: 50
number_ips_auto_addintegerOptional

Number of IPs to automatically add when auto-add is triggered.

Example: 100
auto_disable_atintegerOptional

Timestamp when the sub account will be automatically disabled.

auto_add_trafficintegerOptional

Enable or disable automatic traffic allocation. 0 = disabled, 1 = enabled.

auto_add_when_traffic_bellowintegerOptional

Threshold for automatically adding traffic. When the sub account traffic balance drops below this value, the main account will add traffic automatically.

Example: 1000000000
amount_traffic_auto_addintegerOptional

Amount of traffic to automatically add when auto-add is triggered (in bytes).

Example: 1000000000
traffic_plan_use_auto_addintegerOptional

ID of the traffic plan used when automatically adding traffic to the sub account.

Example: 11
Responses
chevron-right
200

Successful response.

application/json

Returns the update status of the sub account.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

put
/client/v1/subs/update

Delete sub accounts

delete

Deletes one or more sub accounts.

Authorizations
api-keystringRequired
Body
idsinteger[]Required

ID of the sub account.

Responses
chevron-right
200

Successful response.

application/json

Returns the deletion status of the sub account.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Response message.

delete
/client/v1/subs/bulk-delete

Last updated

Was this helpful?